eID middleware |

# be.portugal.eid.PTEID_ReaderSet Class Reference

A singleton class that is the starting point to get all other objects. More...

Inheritance diagram for be.portugal.eid.PTEID_ReaderSet:

List of all members.

## Public Member Functions
synchronized void | delete ()
void | releaseReaders (boolean bAllReference) throws java.lang.Exception
| Release the readers (Useful if readers had changed).
void | releaseReaders () throws java.lang.Exception
| Release the readers (Useful if readers had changed).
boolean | isReadersChanged () throws java.lang.Exception
| Return true if readers have been added or removed.
String[] | readerList (boolean bForceRefresh) throws java.lang.Exception
| Get the list of the reader.
String[] | readerList () throws java.lang.Exception
| Get the list of the reader.
PTEID_ReaderContext | getReader () throws java.lang.Exception
| Return the first readercontext with a card.
PTEID_ReaderContext | getReaderByName (String readerName) throws java.lang.Exception
| Get the reader by its name.
long | readerCount (boolean bForceRefresh) throws java.lang.Exception
| Return the number of card readers connected to the computer.
long | readerCount () throws java.lang.Exception
| Return the number of card readers connected to the computer.
String | getReaderName (long ulIndex) throws java.lang.Exception
| Get the name of the reader by its index in the reader list Throw PTEID_ExParamRange exception if the index is out of range.
PTEID_ReaderContext | getReaderByNum (long ulIndex) throws java.lang.Exception
| Get the reader by its index Throw PTEID_ExParamRange exception if the index is out of range.
PTEID_ReaderContext | getReaderByCardSerialNumber (String cardSerialNumber) throws java.lang.Exception
| Return the reader containing the card with this serial number If no card with this serial number is found, throw an exception PTEID_ExParamRange.
boolean | flushCache () throws java.lang.Exception
| Flush the cache files.
## Static Public Member Functions
static PTEID_ReaderSet | instance ()
| Return the singleton object (created at first use).
static void | initSDK (boolean bManageTestCard) throws java.lang.Exception
| Init the SDK (Optional).
static void | initSDK () throws java.lang.Exception
| Init the SDK (Optional).
static void | releaseSDK () throws java.lang.Exception
| Release the SDK.
## Protected Member Functions
| PTEID_ReaderSet (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ReaderSet obj)

## Detailed Description

A singleton class that is the starting point to get all other objects.

An instance can be obtained from the static method instance(). From the readerset, a reader context can be requested, either by name or index. From this reader context, a card object can be received, depending on the card type in the reader.

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ReaderSet.PTEID_ReaderSet | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

Referenced by be.portugal.eid.PTEID_ReaderSet.instance().

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ReaderSet.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Object.

References be.portugal.eid.PTEID_Object.swigCMemOwn.

void be.portugal.eid.PTEID_ReaderSet.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Object.

boolean be.portugal.eid.PTEID_ReaderSet.flushCache | ( |  | ) | throws java.lang.Exception

Flush the cache files.

Return if any files were flushed (T/F)

static long be.portugal.eid.PTEID_ReaderSet.getCPtr | ( | PTEID_ReaderSet | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ReaderSet.swigCPtr.

PTEID_ReaderContext be.portugal.eid.PTEID_ReaderSet.getReader | ( |  | ) | throws java.lang.Exception

Return the first readercontext with a card.

If no card is present, return the first reader. If no reader exist, throw an exception PTEID_ExNoReader

PTEID_ReaderContext be.portugal.eid.PTEID_ReaderSet.getReaderByCardSerialNumber | ( | String | cardSerialNumber | ) | throws java.lang.Exception

Return the reader containing the card with this serial number If no card with this serial number is found, throw an exception PTEID_ExParamRange.

PTEID_ReaderContext be.portugal.eid.PTEID_ReaderSet.getReaderByName | ( | String | readerName | ) | throws java.lang.Exception

Get the reader by its name.

PTEID_ReaderContext be.portugal.eid.PTEID_ReaderSet.getReaderByNum | ( | long | ulIndex | ) | throws java.lang.Exception

Get the reader by its index Throw PTEID_ExParamRange exception if the index is out of range.

String be.portugal.eid.PTEID_ReaderSet.getReaderName | ( | long | ulIndex | ) | throws java.lang.Exception

Get the name of the reader by its index in the reader list Throw PTEID_ExParamRange exception if the index is out of range.

static void be.portugal.eid.PTEID_ReaderSet.initSDK | ( |  | ) | throws java.lang.Exception `[static]`

Init the SDK (Optional).

static void be.portugal.eid.PTEID_ReaderSet.initSDK | ( | boolean | bManageTestCard | ) | throws java.lang.Exception `[static]`

Init the SDK (Optional).

Parameters:

  | bManageTestCard | If true, the applayer must ask if test cards are allowed (used for compatibility with old C API).

static PTEID_ReaderSet be.portugal.eid.PTEID_ReaderSet.instance | ( |  | ) | `[static]`

Return the singleton object (created at first use).

References be.portugal.eid.PTEID_ReaderSet.PTEID_ReaderSet().

boolean be.portugal.eid.PTEID_ReaderSet.isReadersChanged | ( |  | ) | throws java.lang.Exception

Return true if readers have been added or removed.

long be.portugal.eid.PTEID_ReaderSet.readerCount | ( |  | ) | throws java.lang.Exception

Return the number of card readers connected to the computer.

long be.portugal.eid.PTEID_ReaderSet.readerCount | ( | boolean | bForceRefresh | ) | throws java.lang.Exception

Return the number of card readers connected to the computer.

Parameters:

  | bForceRefresh | force the reconnection to the lower layer to see if reader list have changed

String [] be.portugal.eid.PTEID_ReaderSet.readerList | ( |  | ) | throws java.lang.Exception

Get the list of the reader.

Returns:
  String[] names of the connected readers

String [] be.portugal.eid.PTEID_ReaderSet.readerList | ( | boolean | bForceRefresh | ) | throws java.lang.Exception

Get the list of the reader.

Parameters:

  | bForceRefresh | true=force a refresh of the list of readers

Returns:
  String[] names of the connected readers

void be.portugal.eid.PTEID_ReaderSet.releaseReaders | ( |  | ) | throws java.lang.Exception

Release the readers (Useful if readers had changed).

void be.portugal.eid.PTEID_ReaderSet.releaseReaders | ( | boolean | bAllReference | ) | throws java.lang.Exception

Release the readers (Useful if readers had changed).

Parameters:

  | bAllReference | If true all the invalid reference/pointer are destroyed. THIS PARAMETER IS THREAD UNSAFE. make sure not to use any old reference/pointer after this release

static void be.portugal.eid.PTEID_ReaderSet.releaseSDK | ( |  | ) | throws java.lang.Exception `[static]`

Release the SDK.